Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#2201 closed infra (fixed)

trac problems with comment history conversion

Reported by: Gedare Bloom Owned by: Amar Takhar
Priority: highest Milestone: 4.11
Component: admin Version: 4.11
Severity: blocker Keywords: trac, migration
Cc: Blocked By:
Blocking:

Description

Some comments from the bugzilla appear to be misplaced, for example:
https://devel.rtems.org/ticket/2057

Has a link that points to a completely unrelated git commit, I'm guessing I posted the link on a different PR when I closed it.

Is there some way to check for such consistency problems? Are we sure we did not lose/misplace comments?

Change History (10)

comment:2 Changed on 11/22/14 at 14:05:32 by Amar Takhar

Yeah, I know there are issues. No comments should have been lost it's just the numbering that's wrong. Not much we can do about it as many of them are a result of the GNATS conversion so I didn't bother to go back and fix them.

comment:3 Changed on 11/23/14 at 15:40:17 by Gedare Bloom

Resolution: wontfix
Status: newclosed
Version: unknown4.11

comment:4 Changed on 12/04/14 at 04:21:25 by Gedare Bloom

Resolution: wontfix
Severity: criticalblocker
Status: closedreopened

The mangled comments are more widespread than just the imports from GNATS.

comment:5 Changed on 12/04/14 at 04:26:14 by Gedare Bloom

A few examples: #1728 #2174 #2169

comment:6 Changed on 12/04/14 at 13:10:07 by Amar Takhar

I'll write my own script then. It will take a few days, it will blow away all the comments for every ticket excluding ones that were created after the conversion.

comment:7 Changed on 12/07/14 at 22:31:38 by Amar Takhar

Keywords: migration added

comment:8 Changed on 12/10/14 at 00:40:25 by Amar Takhar

I have identified the issue, at least it seems that way all the tickets mentioned above are fixed. This does not mean that others did not break while fixing these ones.

The script I used was written for an older version of bugzilla. I upgraded it to the one we were using. It seems there was a hack in place that was no longer required.

Updating our trac will be tricky as we do not want to lose any changes we've made already. I will script this and test it locally before deploying. No downtime needed. All I have to do is stop apache, run the script and start.

comment:9 Changed on 12/11/14 at 21:48:34 by Amar Takhar

I have done the update. If there are any issues please re-open this ticket. I noticed some tickets talk about attachments. When I looked in the Bugzilla DB there were no attachments for the ticket eg #1728 mentions one but it does not exist.

comment:10 Changed on 12/15/14 at 20:49:13 by Amar Takhar

Resolution: fixed
Status: reopenedclosed

Closing this as I have heard no complaints. If there are issues please re-open.

Note: See TracTickets for help on using tickets.